apiVersion: v1
kind: Service
metadata:
  name: socktop-webterm
  labels:
    app: socktop-webterm
spec:
  type: ClusterIP
  ports:
    - name: http
      port: 8082
      targetPort: 8082
      protocol: TCP
    - name: agent
      port: 3001
      targetPort: 3001
      protocol: TCP
  selector:
    app: socktop-webterm
  sessionAffinity: ClientIP
  sessionAffinityConfig:
    clientIP:
      timeoutSeconds: 10800
